php4.3.9をrpmでインストールし、その後GDライブラリをソースからインストールした為

再コンパイルしたいのですが適切な方法を教えてください

一度RPMをアンインストールする必要があるのでしょうか?

回答の条件
  • 1人2回まで
  • 登録:2008/06/12 18:08:51
  • 終了:2008/06/19 18:10:03

回答(3件)

id:b-wind No.1

b-wind回答回数3344ベストアンサー獲得回数4402008/06/13 09:21:23

ポイント27pt

OSがわかりませんが rpm ならリンクするライブラリを変更する場合、自分で再コンパイルが必要です。

基本的にその RPM 自体は使えないと思ってください。

PHP も手動でインストールしてもいいですが、変更が GD だけなら元の RPM をベースに自作したほうが早いでしょう。


自分で作るRPMパッケージ

上記URLは古い記事なので今では多少コマンドが変わっているかも知れませんが大きな流れは同じです。

id:technote7

現状インストールしてあるものはそのままにして

RPMを自分で作成し、上書きインストールすればいいということでしょうか

PHP関連のパッケージもRPMでインストールしたので、現状のRPMでインストールしたPHPは消さないほうが

いいと思うのですが

2008/06/13 17:36:28
id:redwing1 No.2

redwing1回答回数541ベストアンサー獲得回数32008/06/14 02:05:45

ポイント27pt

phpとGDライブラリのソースsourceをとってきてコンパイルしてください。くわしくはREADMEを。前のrpmは削除する必要があります。

id:sphire No.3

sphire回答回数115ベストアンサー獲得回数122008/06/14 14:30:39

ポイント26pt

RPMでPHP-4.3.9、ということはRHEL4(か、CentOS4)とかでしょうか。

であれば、GDをソースではなくRPMで入れると解決します。

ソース版を消して、gd、php-gd をRPMで導入しましょう。

id:technote7

RHEL4です。ご指摘の通り今回はGDだけですのでRPMで入れることにします

ありがとうございます

2008/06/16 15:59:57

コメントはまだありません

この質問への反応(ブックマークコメント)

「あの人に答えてほしい」「この質問はあの人が答えられそう」というときに、回答リクエストを送ってみてましょう。

これ以上回答リクエストを送信することはできません。制限について

絞り込み :
はてなココの「ともだち」を表示します。
回答リクエストを送信したユーザーはいません